# $Revision: 1.18 $, $Date: 2007-02-12 21:23:52 $
Summary:	CSS editor for web developers
Summary(pl.UTF-8):	Edytor CSS dla programistów stron
Name:		cssed
Version:	0.4.0
Release:	1
Group:		X11/Development/Tools
License:	GPL
Source0:	http://dl.sourceforge.net/cssed/%{name}-%{version}.tar.gz
# Source0-md5:	ff7c818d1f819b7d76b4f714be64e08e
Source1:	%{name}.desktop
URL:		http://cssed.sourceforge.net
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	vte-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cssed is a GTK+ CSS editor for web developers. It's not finished yet
and it's a beta release candidate only, but it's already a powerfull
CSS editor. cssed have features that allow any developer to speed his
coding as autocompletion or CSS syntax higlighting.

%description -l pl.UTF-8
cssed jest edytorem CSS opartym o GTK+ dla programistów stron WWW. Nie 
jest jeszcze ukończony i jest to tylko wersja beta, ale już pokazuje 
swoje potężne możliwości. Umożliwia między innymi przyspieszenie 
kodowania CSS przez autouzupełnianie oraz podświetlanie składni CSS.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop
install pixmaps/%{name}-icon.png \
	$RPM_BUILD_ROOT%{_pixmapsdir}/%{name}-icon.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/cssed
%{_datadir}/%{name}
%{_pixmapsdir}/%{name}-icon.png
%{_desktopdir}/%{name}.desktop
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cssed.spec,v $
Revision 1.18  2007-02-12 21:23:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:48:44  baggins
- converted to UTF-8

Revision 1.16  2006/02/03 22:38:50  megabajt
- better group

Revision 1.15  2005/11/25 20:18:31  twittner
- typo

Revision 1.14  2005/11/25 20:11:38  twittner
- up to 0.4.0 (0.3.0 has serious problems with displaying fonts)
- dropped -pango.patch (included in sources)
- added %%{__autoheader} (it uses config.h.in)
- removed pkgconfig/cssed.pc from %files - not installed during make install

Revision 1.13  2005/08/16 16:52:07  paladine
- added pango patch
- rel. 2

Revision 1.12  2005/05/31 16:33:34  zbyniu
- BR: gettext-devel

Revision 1.11  2005/02/28 21:58:11  qboosh
- s/belnet\.dl/dl/ in Source URL (belnet is no longer browsable)

Revision 1.10  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.9  2004/11/01 17:43:35  adamg
- updated to 0.3.0

Revision 1.8  2004/07/16 10:23:17  ankry
- desktop moved to Source1 and updated, rel. 2

Revision 1.7  2004/05/15 18:57:43  undefine
- update to 0.2.1

Revision 1.6  2004/04/29 00:07:36  undefine
-  update to 2.0 by Piotr Budny <vip@linux.pl>

Revision 1.5  2004/04/04 20:02:30  wolf
- pre0.1-5

Revision 1.4  2004/02/25 19:08:30  undefine
- update to rel 4, idea by <vip@linux.pl>

Revision 1.3  2004/01/16 02:26:44  undefine
- update to -3

Revision 1.2  2003/12/22 21:30:58  qboosh
- added opt patch, more BRs, missing dirs
- removed COPYING (just GPL) and INSTALL (generic) from doc

Revision 1.1  2003/12/10 18:04:51  undefine
- initial pld version

* Mon Dec 8 2003 Iago Rubio <iago.rubio@hispalinux.es>
- First rpm build for beta release candidate.
